org.apache.poi.hpsf

## Class UnexpectedPropertySetTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.poi.hpsf.HPSFException
      - - org.apache.poi.hpsf.UnexpectedPropertySetTypeException

- All Implemented Interfaces:
    java.io.Serializable

      public class UnexpectedPropertySetTypeException
      extends HPSFException

  This exception is thrown if a certain type of property set is expected (e.g. a Document Summary Information) but the provided property set is not of that type.

  The constructors of this class are analogous to those of its superclass and documented there.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnexpectedPropertySetTypeException()` Creates an `UnexpectedPropertySetTypeException`.
    `UnexpectedPropertySetTypeException(java.lang.String msg)` Creates an `UnexpectedPropertySetTypeException` with a message string.
    `UnexpectedPropertySetTypeException(java.lang.String msg, java.lang.Throwable reason)` Creates an `UnexpectedPropertySetTypeException` with a message string and a reason.
    `UnexpectedPropertySetTypeException(java.lang.Throwable reason)` Creates a new `UnexpectedPropertySetTypeException` with a reason.

  - ### Method Summary

    - ### Methods inherited from class org.apache.poi.hpsf.HPSFException

      `getReason`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnexpectedPropertySetTypeException

          public UnexpectedPropertySetTypeException()

      Creates an `UnexpectedPropertySetTypeException`.

    - #### UnexpectedPropertySetTypeException

          public UnexpectedPropertySetTypeException(java.lang.String msg)

      Creates an `UnexpectedPropertySetTypeException` with a message string.

      Parameters:
        `msg` - The message string.

    - #### UnexpectedPropertySetTypeException

          public UnexpectedPropertySetTypeException(java.lang.Throwable reason)

      Creates a new `UnexpectedPropertySetTypeException` with a reason.

      Parameters:
        `reason` - The reason, i.e. a throwable that indirectly caused this exception.

    - #### UnexpectedPropertySetTypeException

          public UnexpectedPropertySetTypeException(java.lang.String msg,
                                                    java.lang.Throwable reason)

      Creates an `UnexpectedPropertySetTypeException` with a message string and a reason.

      Parameters:
        `msg` - The message string.
        `reason` - The reason, i.e. a throwable that indirectly caused this exception.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.